On 2018-04-04 11:24, Helmut Grohne wrote:
> Source: popt
> Version: 1.16-11
> Tags: patch
> User: helm...@debian.org
> Usertags: rebootstrap
> 
> popt fails to cross build from source, because its build dependency on
> api-sanity-checker is unsatisfiable. In general, Architecture: all
> packages can never satisfy cross Build-Depends unless marked Multi-Arch:
> foreign. In this case however, api-sanity-checker is entirely
> unnecessary, because it is only used for testing and we cannot test
> during cross builds anyway. Thus annotating the dependency with
> <!nocheck> is sufficient to get satisfiable cross Build-Depends again. I
> used reproducible builds to verify that this change does not affect the
> resulting binary packages. Please consider applying the attached patch.
> 
> Helmut
> 

Hi,

Thanks for the patch, I've applied it in git, I'll wait on some other
changes to upload unless this is blocking something on your side?

Regards,

Michael

Reply via email to